> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgGroupId}/statistics/items

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgGroupId}/statistics/items
```

where `{orgGroupId}` is the ID of an organisation.

## Supported methods and overview&#x20;

* `GET` - retrieves a summary of information about the total numbers of file objects/[Secure Objects](/CS1.2/api/working-with-files-and-folders-fundamentals.md#secure-object) and folders/[collections](/CS1.2/api/working-with-files-and-folders-fundamentals.md#collection) as well as shared and unshared items within an organisation (specified by `orgGroupId`).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a summary of information about the total numbers of file objects and folders as well as shared and unshared items within an organisation (specified by `orgGroupId`).

The information returned by this API endpoint is utilised on the [Organisation Administration dashboard](/CS1.2/admin-org/accessing-organisation-administration.md#the-organisation-administration-dashboard).

## Supported roles and conditions&#x20;

This API endpoint supports the following Cocoon Data user [roles](/CS1.2/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organisation Administrator's Guide](/CS1.2/admin-org.md)):

* [Organisation administrator](/CS1.2/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) - when this user is a member of the organisation whose ID is specified by `{orgGroupId}` in the request's URL.

The Cocoon Data Platform's resources available to one of these Cocoon Data users (above) is determined by the access token submitted in the [header](/CS1.2/api/access-service-api-v1-organisations-orggroupid-statistics-items.md#access-service-api-v1-organisations-orggroupid-statistics-items-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **objectsCount** - The total number of file objects in the organisation (specified by `{orgGroupId}` in the request's URL).
* **collectionsCount** - The total number of folders in the organisation (specified by `orgGroupId`).
* **objectsSharedCount** - The total number of shared file objects in the organisation (specified by `orgGroupId`).
* **objectsUnsharedCount** - The total number of file objects in the organisation (specified by `orgGroupId`) which have not been shared.
* **totalCount** - The total number of both file objects and folders (i.e. items) within the organisation specified by `orgGroupId`. \

  **Example (response):**

  ```json theme={null}
  {
      "objectsCount": "5",
      "collectionsCount": "8",
      "objectsSharedCount": "0",
      "objectsUnsharedCount": "5",
      "totalCount": "13"
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.